;;;; http-client-conditions.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18
;;;; Kon Lovett, Jun '13

(module http-client-conditions

(;export
  ;
  http-condition? ;conflict w/ intarweb-conditions
  ;
  client-error-condition?
  client-error-response
  client-error-body
  ;
  server-error-condition?
  server-error-response
  server-error-body
  ;
  unexpected-server-response-condition?
  unexpected-server-response-response
  unexpected-server-response-body
  ;
  redirect-depth-exceeded-condition?
  redirect-depth-exceeded-uri
  ;
  formdata-error-condition?
  ;
  unsupported-uri-scheme-condition?
  unsupported-uri-scheme-uri-scheme
  unsupported-uri-scheme-request-uri
  ;
  unknown-authtype-condition?
  unknown-authtype-authtype)

(import scheme
  (http-client-conditions memo))

;;

;from intraweb
(define http-condition? (get 'http-condition?))

;;

(define client-error-condition? (get 'client-error-condition?))

(define client-error-response (get 'client-error-response))

(define client-error-body (get 'client-error-body))

;;

(define server-error-condition? (get 'server-error-condition?))

(define server-error-response (get 'server-error-response))

(define server-error-body (get 'server-error-body))

;;

(define unexpected-server-response-condition? (get 'unexpected-server-response-condition?))

(define unexpected-server-response-response (get 'unexpected-server-response-response))

(define unexpected-server-response-body (get 'unexpected-server-response-body))

;;

(define redirect-depth-exceeded-condition? (get 'redirect-depth-exceeded-condition?))

(define redirect-depth-exceeded-uri (get 'redirect-depth-exceeded-uri))

;;

(define formdata-error-condition? (get 'formdata-error-condition?))

;;

(define unsupported-uri-scheme-condition? (get 'unsupported-uri-scheme-condition?))

(define unsupported-uri-scheme-uri-scheme (get 'unsupported-uri-scheme-uri-scheme))

(define unsupported-uri-scheme-request-uri (get 'unsupported-uri-scheme-request-uri))

;;

(define unknown-authtype-condition? (get 'unknown-authtype-condition?))

(define unknown-authtype-authtype (get 'unknown-authtype-authtype))

) ;http-client-conditions
